<template lang="pug">
.x-camera.w-100.h-100(:title='description' @click='onClick($event)')
  .m-0.h4.w-100.h-100.position-absolute
    .x-camera-overlay.d-flex.flex-column.align-items-start
      .x-camera-name.badge.m-1(:class='[ `badge-${connected ? "success" : "danger" }` ]')
        | {{title}}
      .x-camera-fps.badge.badge-secondary.m-1(v-if='showFps')
        | {{fps}} fps
    .h-100.d-flex.justify-content-center.align-items-center(v-if='!connected')
      i.fas.fa-video-slash.fa-3x
  img.x-stream.x-img-fluid.m-auto.d-block(:class='{ "h-100": connected }'
    :src='imgURL' @error='onError' @load='onLoaded' draggable="false")
</template>
<script src='./CameraCard.vue.js' />
<style lang='scss'>
.x-camera-name {
  opacity: 0.65;
}
.x-camera-fps {
  opacity: 0.20;
}
.x-camera {
  // display no-video icon
  min-height: 10em;

  &:hover {
    .x-camera-name, .x-camera-fps {
      opacity: 0.85;
    }
  }
}
.x-img-fluid {
  max-width: 100%;
  max-height: 100%;
  width: auto;
  height: auto;
  object-fit: contain;
}
.x-camera-overlay {
  pointer-events: none;

  position: absolute;
  left: 5px;
  top: 5px;
}
</style>
